BrownBigramFeatureGenerator (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util.featuregen

## Class BrownBigramFeatureGenerator

- java.lang.Object
- - opennlp.tools.util.featuregen.BrownBigramFeatureGenerator

- All Implemented Interfaces:
    AdaptiveFeatureGenerator

      public class BrownBigramFeatureGenerator
      extends Object
      implements AdaptiveFeatureGenerator

  Generates Brown cluster features for token bigrams.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrownBigramFeatureGenerator(BrownCluster brownCluster)` Creates a new Brown Cluster bigram feature generator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)` Adds the appropriate features for the token at the specified index with the specified array of previous outcomes to the specified list of features.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.util.featuregen.AdaptiveFeatureGenerator

      `clearAdaptiveData, updateAdaptiveData`

- - ### Constructor Detail

    - #### BrownBigramFeatureGenerator

          public BrownBigramFeatureGenerator(BrownCluster brownCluster)

      Creates a new Brown Cluster bigram feature generator.
      Parameters:
        `brownCluster` - A `BrownCluster`.

  - ### Method Detail

    - #### createFeatures

          public void createFeatures(List<String> features,
                                     String[] tokens,
                                     int index,
                                     String[] previousOutcomes)

      Description copied from interface: `AdaptiveFeatureGenerator`
      Adds the appropriate features for the token at the specified index with the specified array of previous outcomes to the specified list of features.
      Specified by:
        `createFeatures` in interface `AdaptiveFeatureGenerator`
      Parameters:
        `features` - The list of features to be added to.
        `tokens` - The tokens of the sentence or other text unit being processed.
        `index` - The index of the token which is currently being processed.
        `previousOutcomes` - The outcomes for the tokens prior to the specified index.

Copyright © 2026 The Apache Software Foundation. All rights reserved.